Bug 1070981 - Auto fit columns used in platform utilization report results in unreadable column data
Summary: Auto fit columns used in platform utilization report results in unreadable co...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2
Hardware: All
OS: All
unspecified
low
Target Milestone: ER03
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-27 20:44 UTC by Marc Shirley
Modified: 2018-12-04 17:39 UTC (History)
5 users (show)

(edit)
A bug with how the "Auto Fit All Columns" or "Auto Fit" view options on graphic columns rendered in the UI caused issues with displaying all data. Users who attempted to access the Reports > Platform Utilization report and selected Auto Fit observed that the CPU, Memory, and Swap columns became unreadable. The fix to the column view behavior now ensures the Auto Fit options resize the columns to fit in the value, the percent sign and the graph.
Clone Of:
(edit)
Last Closed: 2014-12-11 14:00:30 UTC


Attachments (Terms of Use)

Description Marc Shirley 2014-02-27 20:44:46 UTC
Description of problem:
Using "Auto Fit All Columns" or "Auto Fit" on graphic columns results in unreadable data.  For example, in the Platform Utilization report, after using Auto Fit, the CPU, Memory, and Swap columns are unreadable.

Version-Release number of selected component (if applicable):
JBoss Operations Network (ON) 3.2.0

How reproducible:
Very

Steps to Reproduce:
1. Navigate to the Reports -> Platform Utilization page
2. Use the context menu for a column to use the "Auto Fit All Columns" action

Actual results:
CPU, Memory, and Swap columns are collapsed too narrowly and are unreadable.

Expected results:
The column should be fit to at least display the percentage value in a readable format, if not showing the graph in a readable state.

Comment 1 Michael Burman 2014-09-02 22:18:20 UTC
Fixed in master:

commit 26362a38ca2d9abde08cd11b4adad4d22dedbd47
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Sep 3 01:08:35 2014 +0300

    [BZ 1070981] Use both title and data for autofit

Comment 2 Thomas Segismont 2014-09-10 15:31:19 UTC
Cherry-picked over to release/jon3.3.x

commit 95d724d6412740b500891aa0f1f2d19f66d6c49b
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Sep 3 01:08:35 2014 +0300

    [BZ 1070981] Use both title and data for autofit
    
    (cherry picked from commit 26362a38ca2d9abde08cd11b4adad4d22dedbd47)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 3 Simeon Pinder 2014-09-17 02:49:32 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 4 Jan Bednarik 2014-09-18 12:55:48 UTC
Moving to VERIFIED.

After clicking on Auto Fit the columns are only as narrow to fit in the value, the percent sign and the graph.

Version:3.3.0.ER03
Build Number:4aefe39:44e33a4


Note You need to log in before you can comment on or make changes to this bug.